import Entity from '../tictactoe/Entity';
export type EventTypes = {
    newGame: (data: {
        players: Entity[];
    }) => void;
    win: (data: {
        winner: Entity;
        loser: Entity;
    }) => void;
    tie: (data: {
        players: Entity[];
    }) => void;
};
export default class EventHandler {
    listeners: Map<keyof EventTypes, Array<(data?: any) => void>>;
    constructor();
    registerListener<T extends keyof EventTypes, V extends EventTypes[T]>(eventName: T, callback: V): void;
    emitEvent(eventName: keyof EventTypes, data?: any): void;
    private supportEvent;
}
