import { EmbedColor } from '../../config/types';
import Entity from '../../tictactoe/Entity';
import { Player } from '../../tictactoe/Player';
import { MessageOptions } from 'discord.js';
export default class GameBoardBuilder {
    static readonly MOVE_REACTIONS: string[];
    protected emojies: string[];
    protected title: string;
    protected stateKey: string;
    protected stateEntity?: {
        name: string;
        emojiIndex?: number;
    };
    protected boardSize: number;
    protected boardData: Player[];
    protected embedColor?: EmbedColor;
    constructor();
    withTitle(player1: Entity, player2: Entity): this;
    withEmojies(first: string, second: string, none?: string): this;
    withBoard(boardSize: number, board: Player[]): this;
    withLoadingMessage(): this;
    withEntityPlaying(entity: Entity, emojiIndex?: number): this;
    withEndingMessage(winner?: Entity): this;
    withExpireMessage(): this;
    withEmbed(embedColor: EmbedColor): this;
    toMessageOptions(): MessageOptions;
    protected generateState(): string;
}
