import MessagingTunnel from '../messaging/MessagingTunnel';
import GameStateManager from './GameStateManager';
import Config from '../../config/Config';
import { GuildMember } from 'discord.js';
export default class GameStateValidator {
    private static readonly PERM_LIST;
    private static readonly PERM_ADD_REACTIONS;
    private readonly manager;
    constructor(manager: GameStateManager);
    get config(): Config;
    get cooldownEndTimes(): Map<string, number>;
    isInteractionValid(tunnel: MessagingTunnel): boolean;
    isNewGamePossible(tunnel: MessagingTunnel, invited?: GuildMember): boolean;
    private isMessagingAllowed;
    private hasPermissionsInChannel;
    private isMemberAllowed;
    private isMemberAllowedByRole;
    private isMemberAllowedByCooldown;
}
