import { EventTypes } from './bot/EventHandler';
import Config from './config/Config';
import { MessageProvider } from './i18n/types';
import { Client, CommandInteraction, Message } from 'discord.js';
declare class TicTacToe {
    private readonly config;
    private readonly eventHandler;
    private readonly bot;
    constructor(config?: Config);
    login(token?: string): Promise<void>;
    attach(client: Client): void;
    handleMessage(message: Message): void;
    handleInteraction(interaction: CommandInteraction): void;
    on<T extends keyof EventTypes, V extends EventTypes[T]>(eventName: T, listener: V): void;
    addMessageProvider(key: string, provider: MessageProvider): void;
}
export = TicTacToe;
